Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.job.executor
Class JobExecutor

    java.lang.Object
      org.jbpm.job.executor.JobExecutor

All Implemented Interfaces:
  java.io.Serializable

    public class JobExecutor

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`JobExecutor()`

Method Summary
`void` | `addMonitoredJobId(java.lang.String threadName, long jobId)`
`int` | `getHistoryMaxSize()`
`int` | `getIdleInterval()`
`JbpmConfiguration` | `getJbpmConfiguration()`
`protected java.lang.String` | `getLastThreadName()`
`int` | `getLockBufferTime()`
`int` | `getLockMonitorInterval()`
`int` | `getMaxIdleInterval()`
`int` | `getMaxLockTime()`
`java.util.Set` | `getMonitoredJobIds()`
`java.lang.String` | `getName()`
`int` | `getNbrOfThreads()`
`protected java.lang.String` | `getNextThreadName()`
`int` | `getSize()`
`java.util.Map` | `getThreads()`
`boolean` | `isStarted()`
`void` | `removeMonitoredJobId(java.lang.String threadName)`
`void` | `start()`
`protected void` | `startThread()`
`java.util.List` | `stop()` signals to all threads in this job executor to stop.
`void` | `stopAndJoin()`
`protected java.lang.Thread` | `stopThread()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobExecutor

    public JobExecutor()

Method Detail

### start

    public void start()

### stop

    public java.util.List stop()

  signals to all threads in this job executor to stop. It may be that threads are in the middle of something and they will finish that firts. Use `stopAndJoin()` in case you want a method that blocks until all the threads are actually finished.

  Returns:
    a list of all the stopped threads. In case no threads were stopped an empty list will be returned.

### stopAndJoin

    public void stopAndJoin()
                     throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### startThread

    protected void startThread()

### getNextThreadName

    protected java.lang.String getNextThreadName()

### getLastThreadName

    protected java.lang.String getLastThreadName()

### stopThread

    protected java.lang.Thread stopThread()

### getMonitoredJobIds

    public java.util.Set getMonitoredJobIds()

### addMonitoredJobId

    public void addMonitoredJobId(java.lang.String threadName,
                                  long jobId)

### removeMonitoredJobId

    public void removeMonitoredJobId(java.lang.String threadName)

### getHistoryMaxSize

    public int getHistoryMaxSize()

### getIdleInterval

    public int getIdleInterval()

### isStarted

    public boolean isStarted()

### getJbpmConfiguration

    public JbpmConfiguration getJbpmConfiguration()

### getMaxIdleInterval

    public int getMaxIdleInterval()

### getName

    public java.lang.String getName()

### getSize

    public int getSize()

### getThreads

    public java.util.Map getThreads()

### getMaxLockTime

    public int getMaxLockTime()

### getLockBufferTime

    public int getLockBufferTime()

### getLockMonitorInterval

    public int getLockMonitorInterval()

### getNbrOfThreads

    public int getNbrOfThreads()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD